Subject: Re: [PATCH v4 5/5] selftests/powerpc: Add test for VPHN

From: Michael Ellerman <[email-masked]>
Date: Wed, 18 Mar 2015 09:58:21 +1100

On Tue, 2015-03-17 at 12:49 +0100, Greg Kurz wrote:
> On Tue, 17 Mar 2015 15:21:29 +1100
> Michael Ellerman <[email-masked]> wrote:
> 
> > From: Greg Kurz <[email-masked]>
> > 
> > The goal is to verify vphn_unpack_associativity() parses VPHN numbers
> > correctly. We feed it with a variety of input values and compare with
> > expected results.
> > 
> > PAPR+ does not say much about VPHN parsing: I came up with a list of
> > tests that check many simple cases and some corner ones. I wouldn't
> > dare to say the list is exhaustive though.
> > 
> > Signed-off-by: Greg Kurz <[email-masked]>
> > [mpe: Rework harness logic and rename to test-vphn]
> > Signed-off-by: Michael Ellerman <[email-masked]>
> > ---
> > 
> > I reworked this a little bit, let me know if it looks OK to you.
> > 
> > I renamed the test to test-vphn, and I changed the test loop to only call the
> > harness once, but report all the individual test results as well.
> 
> I guess it is safe to assume we don't have an infinite loop bug hidding in
> each individual test case.

Well if we do the whole test will be killed by the harness, so we'll still
notice.

> I am okay with the changes. I don't know if it is needed but here's my:
> 
> Reviewed-by: Greg Kurz <[email-masked]>
 
Thanks.

cheers